//
// @author vay
// @email hxhvay@126.com
// @date 2020-05-12
//

import 'package:flutter/material.dart';
import 'package:vaycore/mvvm.dart';

/// BaseProvide
class BaseProvider extends ChangeNotifier {
  /// 有状态页面的状态对象
  BaseState state;

  void onInit() {}

  void onDispose() {}

  @override
  void dispose() {
    this.onDispose();
    this.state = null;
    super.dispose();
  }
}

/// VoidProvider
class VoidProvider extends BaseProvider {}
